<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 20011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: latest_comments_slider_panel.php
| Version: 1.0
| Author: HaYaLeT http://www.hayaletsevgili.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined('IN_FUSION')) { die('Access Denied'); }

add_to_head("<link rel='stylesheet' href='".INFUSIONS."latest_comments_slider_panel/style-js/style-newsticker.css' type='text/css' media='screen' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."latest_comments_slider_panel/style-js/jcarousellite_1.0.1c4.js'></script> ");

if (file_exists(INFUSIONS."latest_comments_slider_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."latest_comments_slider_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."latest_comments_slider_panel/locale/English.php";
}

echo '<script type="text/javascript">
$(function() {
	$("#newsticker-demo").jCarouselLite({
		vertical: true,
		hoverPause:true,
		btnPrev: ".previous",
		btnNext: ".next",
		visible: 2,
		auto:3000,
		speed:500
	});
});
</script>';

openside($locale['cmnt001']);
$result = dbquery("SELECT * FROM ".DB_COMMENTS." LEFT JOIN ".DB_USERS." ON ".DB_COMMENTS.".comment_name=".DB_USERS.".user_id ORDER BY comment_datestamp DESC LIMIT 10");
echo "<img src='".INFUSIONS."latest_comments_slider_panel/images/news-arrow-previous.png' class='previous' alt='' border='0' />";
echo "<div id='newsticker-demo'>";
echo "<ul>";

if (dbrows($result)) {
	while ($data = dbarray($result)) {
		echo "<li>";
		echo "<table width='100%' align='center' cellpadding='0' cellspacing='0'>";
		echo "<tr><td width='60' class='tbl2'>";
		if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {
			$avatar = "<img src='".IMAGES."avatars/".$data['user_avatar']."' style='padding:2px;border:2px solid #ddd;' width='50' alt='' border='0' />";
		} else {
			$avatar = "<img src='".IMAGES."avatars/noavatar50.png' style='padding:2px;border:2px solid #ddd;' width='50' alt='' border='0' />";
		}
		echo "".$avatar."";
		echo "</td><td class='tbl1'>";
		echo "<table cellpadding='0' cellspacing='0' width='100%'><tr><td class='tbl2' style='height:20px;padding:4px 4px 2px 4px;border-bottom:1px dotted #bbb;' >";
		
		$comment_message = $data['comment_message'];
		$comment_item_id = $data['comment_item_id'];
		$comment_type = $data['comment_type'];
		
		if ($data['user_name']) {
			echo "<img src='".INFUSIONS."latest_comments_slider_panel/images/author.png' alt='' style='vertical-align:middle;width:12px;'/> ".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."" ;
		} else {
			echo "".$locale['cmnt002']."";
		}
		
		//News
		if ($data['comment_type'] == "N") { 
			$link = "<span style='padding: 0 4px 0 4px;'>".$locale['cmnt004']."</span>".THEME_BULLET." <a href='".BASEDIR."news.php?readmore=".$data['comment_item_id']."'> ".$locale['cmnt003']."! </a>";
		}
		//Articles
		else if ($data['comment_type'] == "A") {
			$link = "<span style='padding: 0 4px 0 4px;'>".$locale['cmnt005']."</span>".THEME_BULLET." <a href='".BASEDIR."readarticle.php?article_id=".$data['comment_item_id']."'> ".$locale['cmnt003']."! </a>";
		}
		//Photos
		else if ($data['comment_type'] == "P") {
			$link = "<span style='padding: 0 4px 0 4px;'>".$locale['cmnt006']."</span>".THEME_BULLET." <a href='".BASEDIR."photogallery.php?photo=".$data['comment_item_id']."'> ".$locale['cmnt003']."! </a>";
		}
		//Custom Pages
		else if ($data['comment_type'] == "C") {
			$link = "<span style='padding: 0 4px 0 4px;'>".$locale['cmnt007']."</span>".THEME_BULLET." <a href='".BASEDIR."viewpage.php?page_id=".$data['comment_item_id']."'> ".$locale['cmnt003']."! </a>";
		}
		//Video Infusion
		else if ($data['comment_type'] == "NX") {
			$link = "<span style='padding: 0 4px 0 4px;'>".$locale['cmnt008']."</span>".THEME_BULLET." <a href='".BASEDIR."infusions/video/video.php?id=".$data['comment_item_id']."'> ".$locale['cmnt003']."! </a>";
		}
		//Profile
		else if ($data['comment_type'] == "U") {
			$link = "<span style='padding: 0 4px 0 4px;'>".$locale['cmnt009']."</span>".THEME_BULLET." <a href='".BASEDIR."profile.php?lookup=".$data['comment_item_id']."'> ".$locale['cmnt003']."! </a>";
		}
		//FusionTube
		else if ($data['comment_type'] == "V") {
			$link = "<span style='padding: 0 4px 0 4px;'>".$locale['cmnt008']."</span>".THEME_BULLET." <a href='".BASEDIR."profile.php?lookup=".$data['comment_item_id']."'> ".$locale['cmnt003']."! </a>";
		} else {
			echo "".$locale['cmnt010']."";
		}
		echo " ".showdate("shortdate", $data['comment_datestamp'])."";
		echo "<span style='float:right;'>".$link."</span>";
		echo "</td></tr><tr><td class='tbl2' style='vertical-align:top;height:40px;padding: 2px 4px 2px 4px;'>";
		echo "<img src='".INFUSIONS."latest_comments_slider_panel/images/comment.png' alt='' style='vertical-align:middle;width:12px;'/>  ".nl2br(parseubb(parsesmileys(trimlink($data['comment_message'],100))))."";
		echo "</td></tr></table>";
		echo "</td></tr></table>";
		echo "</li>";
	}
	echo "</ul>";
	echo "</div>";
	echo "<img src='".INFUSIONS."latest_comments_slider_panel/images/news-arrow.png' class='next' alt='' border='0' /><span class='small' style='float:right;padding-right:10px;'><a href='http://www.hayaletsevgili.com' title='Copyright By HaYaLeT'>...</a></span>";
}

closeside();
?>